Menu

## QRString extends QROutputAbstract
in package

QRString.php : 21

Converts the matrix data into string types

### Table of Contents

$length : int
  the side length of the QR image (modules * scale)
$matrix : QRMatrix
  the (filled) data matrix object
$moduleCount : int
  the current size of the QR matrix
$moduleValues : array<string|int, mixed>
  an (optional) array of color values for the several QR matrix parts
$options : SettingsContainerInterface
$scale : int
  the current scaling for a QR pixel
__construct() : mixed
  QROutputAbstract constructor.
dump() : string
collectModules() : array<string|int, mixed>
  collects the modules per QRMatrix::M_* type and runs a $transform function on each module and returns an array with the transformed modules
getDefaultModuleValue() : mixed
  Returns a default value for either dark or light modules (return value depends on the output module)
getModuleValue() : mixed
  Returns the final value for the given input (return value depends on the output module)
json() : string
  JSON output
moduleValueIsValid() : bool
  Determines whether the given value is valid
saveToFile() : void
  Saves the qr $data to a $file. If $file is null, nothing happens.
setMatrixDimensions() : void
  Sets/updates the matrix dimensions
setModuleValues() : void
  Sets the initial module values
text() : string
  string output
toBase64DataURI() : string
  Returns a base64 data URI for the given string and mime type

### Properties

#### $length

QROutputAbstract.php : 40

the side length of the QR image (modules * scale)

`protected int $length`

#### $matrix

QROutputAbstract.php : 50

the (filled) data matrix object

`protected QRMatrix $matrix`

#### $moduleCount

QROutputAbstract.php : 28

the current size of the QR matrix

`protected int $moduleCount`

##### Tags

see
  QRMatrix::size()

#### $moduleValues

QROutputAbstract.php : 45

an (optional) array of color values for the several QR matrix parts

`protected array<string|int, mixed> $moduleValues`

#### $options

QROutputAbstract.php : 55
`protected SettingsContainerInterface $options`

#### $scale

QROutputAbstract.php : 35

the current scaling for a QR pixel

`protected int $scale`

##### Tags

see
  QROptions::$scale

### Methods

#### __construct()

QROutputAbstract.php : 60

QROutputAbstract constructor.

`public __construct(SettingsContainerInterface $options, QRMatrix $matrix) : mixed`

##### Parameters

$options : SettingsContainerInterface
$matrix : QRMatrix

##### Return values

mixed —

#### dump()

QRString.php : 47
`public dump([string $file = null ]) : string`

##### Parameters

$file : string = null

##### Tags

inheritDoc

##### Return values

string —

#### collectModules()

QROutputAbstract.php : 158

collects the modules per QRMatrix::M_* type and runs a $transform function on each module and returns an array with the transformed modules

`protected collectModules(Closure $transform) : array<string|int, mixed>`

The transform callback is called with the following parameters:

$x - current column $y - current row $M_TYPE - field value $M_TYPE_LAYER - (possibly modified) field value that acts as layer id

##### Parameters

$transform : Closure

##### Return values

array<string|int, mixed> —

#### getDefaultModuleValue()

QRString.php : 40

Returns a default value for either dark or light modules (return value depends on the output module)

`protected getDefaultModuleValue(bool $isDark) : mixed`

##### Parameters

$isDark : bool

##### Tags

inheritDoc

##### Return values

mixed —

#### getModuleValue()

QRString.php : 33

Returns the final value for the given input (return value depends on the output module)

`protected getModuleValue(mixed $value) : mixed`

##### Parameters

$value : mixed

##### Tags

inheritDoc

##### Return values

mixed —

#### json()

QRString.php : 85

JSON output

`protected json() : string`

##### Return values

string —

#### moduleValueIsValid()

QRString.php : 26

Determines whether the given value is valid

`protected moduleValueIsValid(mixed $value) : bool`

##### Parameters

$value : mixed

##### Tags

inheritDoc

##### Return values

bool —

#### saveToFile()

QROutputAbstract.php : 132

Saves the qr $data to a $file. If $file is null, nothing happens.

`protected saveToFile(string $data[, string $file = null ]) : void`

##### Parameters

$data : string
$file : string = null

##### Tags

see
  file_put_contents()
see
  QROptions::$cachefile
throws
  QRCodeOutputException

##### Return values

void —

#### setMatrixDimensions()

QROutputAbstract.php : 73

Sets/updates the matrix dimensions

`protected setMatrixDimensions() : void`

Call this method if you modify the matrix from within your custom module in case the dimensions have been changed

##### Return values

void —

#### setModuleValues()

QROutputAbstract.php : 82

Sets the initial module values

`protected setModuleValues() : void`

##### Return values

void —

#### text()

QRString.php : 66

string output

`protected text() : string`

##### Return values

string —

#### toBase64DataURI()

QROutputAbstract.php : 120

Returns a base64 data URI for the given string and mime type

`protected toBase64DataURI(string $data, string $mime) : string`

##### Parameters

$data : string
$mime : string

##### Return values

string —

## Search results